jueves, 18 de octubre de 2007

Actualizaciones de Ubuntu

Está bien tener tu sistema actualizado y, puesto que vivimos en la era de Internet, es más fácil que nunca. Ubuntu tiene un gestor de actualizaciones que te avisa de cuando uno de los paquetes que tienes instalados se ha actualizado.

¿Por qué debería actualizar mi Ubuntu? Bueno, existen varias razones, pero las más común es que cuando se actualiza un paquete es porque se solucionan errores o se añaden funcionalidades nuevas que lo hacen más completo. De todas formas, si decides no actualizar tu Ubuntu no se acabará el mundo, simplemente no estarás a la última.

Cuando haya actualizaciones disponibles Ubuntu te avisará con un globo y un icono en la barra de sistema (al lado del reloj). Esta advertencia sólo aparece una vez cada vez que inicias Ubuntu, si lo cierras dejará de molestarte. Puedes estar tranquilo, esto no es como Windows que no deja de molestarte con globos hasta que actualizas por pesadez. Aquí nadie fuerza a nadie, eres libre.



No temas por tener que reiniciar, una vez más esto no es Windows. La inmensa mayoría de las actualizaciones se aplican sin más. Es posible, no obstante, que para algunas actualizaciones críticas del núcleo (no son comunes) sea necesario reiniciar. Aun así, no serás forzado a reiniciar si tú no quieres. Simplemente esa actualización no surtirá efecto hasta que lo hagas. Creo que la última vez que me tocó reiniciar tuve al ordenador esperando dos meses para hacerlo (nunca duerme el pobre... ¡perdería las colas de aMule!).

Bien, si haces clic en el icono de actualizaciones se te abrirá el gestor de actualizaciones.



Aquí aparece una lista con las actualizaciones disponibles, separadas por categorías. Puedes hacer que el gestor compruebe si hay nuevas actualizaciones de forma manual clicando sobre "Comprobar", de otra forma lo comprobará según tengas configurado que lo haga (en el próximo post hablaré de esto). Si eres muy curioso puedes ver la descripción de cada actualización desplegándola... aunque la verdad es que hay que tener mucho tiempo libre para hacer esto. Lo más normal es que cliques sobre "Instalar actualizaciones" después de echar un vistazo (o a veces ni eso).

El sistema empezará a descargar las nuevas versiones de los paquetes. Puedes minimizar la ventana o largarte a otro escritorio (nota mental: explicar lo de los escritorios próximamente) mientras trabaja.



De nuevo, si tienes mucho tiempo libre y te parece divertido ver como se llena la barra, puedes desplegar el progreso individual y ver cómo bajan los paquetes uno por uno...



Cuando se hayan descargado, Ubuntu procederá a instalarlos. No tienes que hacer nada, el gestor de paquetes lo hace todo por ti, ya lo sabes.



Una vez más, si te aburres como una ostra, puedes ver la salida de la línea de comandos que genera todo ese proceso (¿realmente te aburres tanto? Deberías salir más).



Una vez aplicados los cambios ya puedes darle a cerrar y dormir tranquilo.


Tu Ubuntu está a la última.

6 comentarios:

Anónimo dijo...

Hola, soy Lluis. Me aparece esto al intentar pasar a intrepid ibex: ¡Error!
W: Duplicate sources.list entry http://security.ubuntu.com intrepid-security/main Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_intrepid-security_main_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com intrepid-security/restricted Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_intrepid-security_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com intrepid-security/universe Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_intrepid-security_universe_binary-i386_Packages)
W: Duplicate sources.list entry http://us.archive.ubuntu.com intrepid-updates/main Packages (/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid-updates_main_binary-i386_Packages)
W: Duplicate sources.list entry http://us.archive.ubuntu.com intrepid-updates/main Translation-es (/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid-updates_main_i18n_Translation-es)
W: Duplicate sources.list entry http://us.archive.ubuntu.com intrepid-updates/restricted Packages (/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid-updates_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://us.archive.ubuntu.com intrepid-updates/restricted Translation-es (/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid-updates_restricted_i18n_Translation-es)
E: Vaya, excedió el número de descripciones que este APT es capaz de manejar.
E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid_universe_i18n_Translation-es
E: No se pudieron analizar o abrir las listas de paquetes o el archivo de estado.
E: No se pudo reconstruir el almacén de paquetes

Me podrías decir que he hecho mal?
Tiene solucion?
Gracias.

tuseeketh dijo...

Hola Lluis,

pues no sé qué has hecho mal, porque ni siquiera sé qué has hecho ja ja.

Dime, ¿en qué versión de Ubuntu estás? ¿Qué pasos has seguido para actualizar a Intrepid?

fon51 dijo...

Me hace gracia eso de si tienes tiempo libre y te aburres puedes desplegarlo para ver como se bajan...
xD
yo lo ago siempre, es tan entretenido como ver como centrifuga la lavadora jajajaj

tuseeketh dijo...

fon51,

sí, cada uno se entretiene como quiere. Conocí a una persona que pasaba tardes enteras viendo cómo descargaba eMule. Solíamos decir que, para él, cuando una barra llegaba al 100%, era como un gol en un partido de fútbol.

David dijo...

AMIGOS ALGUIEN ME PUEDE AYUDAR

No se ha podido inicializar la información de los paquetes

Ha ocurrido un problema imposible de corregir cuando se inicializaba la información de los paquetes.

Por favor, informe de esto como un fallo en el paquete «update-manager» e incluya el siguiente mensaje de error:

'E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/apt/lists/mx.archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages, E:No se pudieron analizar o abrir las listas de paquetes o el archivo de estado.'

Esto no me permite descargar ni actualizar nada y solo cuento con este sistema operativo.
Agradezco sus comentarios !!!!!!!!

Anónimo dijo...

hola, en el gestor de actualiaciones me aparece: "Esta disponible la nueva version 9.10 de la distribucion" ala hora de darle click donde dice actualizar me aparece una ventana que me marca que puede haber un problema con la red.
Y tambien esto : Imposible obtener http://mx.archive.ubuntu.com/ubuntu/dists/jaunty-backports/universe/binary-i386/Packages 404 Not Found [IP: 91.189.92.201 80]
Algunos archivos de índice no se han podido descargar, se han ignorado,
o se ha utilizado unos antiguos en su lugar.
ME PODRIAS AYUDAR SOY NUEVO CON UBUNTU